# Uses of Enum Class
com.google.protobuf.JavaType

Packages that use JavaType
Package
Description
com.google.protobuf

## Uses of JavaType in com.google.protobuf

Methods in com.google.protobuf that return JavaType
Modifier and Type
Method
Description
`JavaType`
FieldType.`getJavaType()`
Gets the `JavaType` for this field.
`static JavaType`
JavaType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static JavaType[]`
JavaType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.